<template>
  <div class="offers-landing_part_accordion">
    <h2 class="heading--lg text--center">
      {{ $t('subscriptionOffers.faq.title') }}
    </h2>

    <div
      v-for="(faq, index) in list"
      :key="index"
      class="accordion"
      :class="isActive === index ? 'is-open' : ''"
      @click="displayDesc(index)"
    >
      <div class="accordion__title">
        <p>{{ faq.title }}</p>
      </div>
      <div class="accordion__text" v-html="faq.desc"></div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'SubscriptionFaq',
  props: {
    list: {
      type: Array,
      required: true
    }
  },
  data() {
    return {
      isActive: null
    }
  },
  methods: {
    displayDesc(index) {
      this.isActive = this.isActive === index ? null : index
    }
  }
}
</script>

<style scoped lang="scss">
.offers-landing_part_accordion {
  .accordion {
    max-width: 1200px;
  }

  ::v-deep {
    ul {
      list-style-position: outside;
    }
    li {
      display: list-item;
      list-style: disc;
    }
  }
}
</style>
